/* $Id: lib_api.h,v 1.4 2000/07/21 15:13:31 ban Exp $
 * Dynamics API library general support routines interface
 *
 * Dynamic hierarchial IP tunnel
 * Copyright (C) 1998-2000, Dynamics group
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. See README and COPYING for
 * more details.
 */


#ifndef LIB_API_H
#define LIB_API_H

#include "dyn_api.h"
#include "agentapi.h"
/*
 * Global defines for all agent libraries
 */


#define PATH_SIZE     100

/*
 * common functions for all agent libraries
 */

int lib_init(char *agent, char *tmpdir, char *tmppfx, int sockperm);
int perform_call(int func, void *params, int param_len, int timeout,
		 struct api_msg *msg);
char *get_error_string(int err);
char *get_agent_path(void);



#endif
