/* $Id: fa_mn_addr.h,v 1.3 2000/07/26 07:49:48 ban Exp $
 * Foreign Agent - MN home address hash tables
 *
 * Dynamic hierarchial IP tunnel
 * Copyright (C) 1998-2000, Dynamics group
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. See README and COPYING for
 * more details.
 */

#ifndef FA_MN_ADDR_H
#define FA_MN_ADDR_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <netinet/in.h>

int mn_addr_init(void);
void mn_addr_free(void);
#define MN_ADDR_TUNNEL_ERROR -2
#define MN_ADDR_TUNNEL_IPIP -1
int mn_addr_add(struct in_addr *addr);
int mn_addr_remove(struct in_addr *addr, int type);

#endif
